#!/bin/sh
######################################################################
#
# Authors: Andrea Formica   - Andrea.Formica@cea.fr
#
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
# Based on INFN Testgroup scripts
#
######################################################################
#  Arguments: {stop|start}
#
#######################################################################
# Create log directory for all info files
HOUR=`date`
EXEDIR=`pwd`

#Set printing variables
THIS_SCRIPT="InstallRPM.sh"
PRETXT="[${THIS_SCRIPT} ${HOUR}]:"
ISTEST=""


# Load functions
# Variables used between functions
RPMLIST=""
RPMNAME=""
distribution=""
donelist=""

# General Variables
INST_INFO_FILE=./inst-info
FAILED_FILE=./failed.txt
PRESTRING=""

export INST_INFO_FILE PRESTRING RPMLIST RPMNAME

#NODE=`$INSTALL_EDG_TESTROOT/myhostname.sh shortname`
NODE=`hostname --short`

echo "EDG TESTROOT " $EDG_TESTROOT
. $EDG_TESTROOT/sbin/sourcer.sh 
. $EDG_TESTROOT/etc/edg-test.conf
echo "EDG INSTALL SITE " $EDG_INSTALL_SITE_CONF 

sourceinstallsiteconffile RB
. $EDG_TESTROOT/bin/installconfig/RB/sourcer.sh

# Load environment variables
if [ -z $INSTALL_EDG_TESTROOT ]
then
    echo "INSTALL_EDG_TESTROOT is not defined "
    exit 4
fi

launch_rb_services $1

