#!/usr/bin/perl

## Provide the filename to translate as an argument

##temp use strict;

my $file = shift;
my $xmlf = shift;

my @lof_cols;
my @lof_rows;
my @lof_steps;
my %col;
my %row;
my %stepI;
%stepO = (); 
%stepS = ();

my $Title = "Full GG1 test row-wise, with the Gatekeeper Script output";
chomp(my $date = `date`);
push @lof_rows, "Row1";

my $next;

open OUT, "$file";
open XML, ">$xmlf";
my $coln = "";
my $rowL = "";
my $stepT = "";
my $stepM = "";
my $rowM = "";
my $colM = "";
my $stepn;
while (<OUT>) {

  if ( /Checking.* (\S+)/ ) {
    $coln = $1;
    push @lof_cols, $coln;
    $col{$coln} = "";

    if ( defined $stepn ) { ##$rowM = makeX($rowM, "col");
			 $rowM = makeRowM ($stepn);
			 $colM .= makeX($rowM, "col");
			 ##$rowL = ""; 
			 $rowM = "";
		       }
##    $rowL = "";
    print "\n";
    $stepn = 0;
    next;
  }



  if ( /Trying/ ) {

## Seems useless 
    if ( $rowL ne "" ) { print "TRY $rowL \n"; $rowL = ""; }

##    if ( $rowL eq "" ) { next; }
    chomp( $rowL = $_ );
##    my $rowL = "";

# Here rowL is a step
    if ( /\[\S+\]$/ ) { print "ROW $rowL \n"; 
			$rowL =~ /Trying (.*)\.\.\.\[(\S+)\]/;
			my $rowT = $1;
			$stepn++;
			$lof_steps[$stepn] = makeX("Step $stepn", "brf_info");
			$stepI{$stepn} = makeX($rowT, "det_info");
			$stepS{$stepn} = makeX( ($2 eq "OK") ? 0 : 1, "retval") ;
##No			$stepO{$stepn} = makeX($stepT, "output");
			$stepO{$stepn} = makeX("", "output");
##test			$stepT = makeX( $rowT, "output");
##			$stepM = makeX($stepT.$rowS, "step");
			print " rowTS $rowT $stepS{$stepn} \n";
##No			$rowM .= $stepM;
			##my $rowt = 
			$rowL = ""; 
			$stepT = "";
			next; 
		      }
    while ( ( $next = <OUT> ) !~ /\[\S+\]$/ ) {
      chomp( $rowL .= " ".$next );
    }
##    print " $rowL \n";
  } else {

# To avoid printing leading lines
    if ( $coln eq "" ) { next; }

    chomp( $rowL .= " ".$_ );
##good    $stepT .= $_;
#?    if ( /\[[A-Z]\]$/ ) { print "$rowL \n"; $rowL = ""; }

# here rowL is a substep, in fact a part of some text ...
    if ( /\[\S+\]$/ ) { print "STEP $rowL \n"; 
			##$stepT = makeX($rowL, "step"); 
			$stepT .= "\n$rowL";
			$stepO{$stepn} = makeX($stepT, "output");
			$rowL = ""; 
		      }
##    if ( /[\S+]$/ ) { print ; }

  }

}

$rowM = makeRowM ($stepn);
$colM .= makeX($rowM, "col");
my $body = makeX($colM, "row");
# Commented out to avoid printing trailing lines
##useless if ( $rowL ne "" ) { print "$rowL \n"; }

## To merge the info part for steps
$stepM = "";
for my $st ( 1..$stepn ) {
  $stepM .= makeX( $lof_steps[$st].$stepI{$st}, "step");
}

my $info = makeX($Title, "title");
$info .= makeX($date, "date");
$info .= makeX("@lof_rows", "rows_list");
$info .= makeX("@lof_cols", "cols_list");
$info .= $stepM;
$info = makeX($info, "info");

## The whole log is made of INFO+BODY
print XML makeX($info." \n ".$body, "log");

close OUT;
close XML;
print "\n@lof_cols \n";

exit 0;

sub makeX {
  my $str  = shift;
  my $flag = shift;
  return "<$flag>\n$str\n</$flag>\n";
}

sub makeRowM {
  my $stepn = shift;
  print " STEPN $stepn \n";
  my $rowM = "";
  for my $st ( 1..$stepn ) {
    $rowM .= makeX($stepO{$st}.$stepS{$st}, "step");
  }
  return $rowM;
}
