#!/bin/bash
# 
# 08 October 2002
# Author:       Fede Eric fede@cppm.in2p3.fr
#
#########################################################################
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
#######################################################################
# Control of the time validity of the crl
# 
# RETURN VALUE: 0 PASSED
#	 	1 FAIL
#		2 WARNING
#		3 XFAIL
#		4 UNRESOLVED
#		5 UNTESTED
#		6 UNSUPPORTED
#               7 ENVIRONMENT / OPTIONS FAIL
#	
########################################
# compare if two file is equal
#
# INPUT  $1 The path to file1
#	 $2 The path to file2
# 
# 
########################################

function checkfiletofile_func()

{

if [ ! $1 ]; then
	writeOutput "ALERT checkfiletofile-func function call without parameter" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH
	return 4;
fi

if [ ! $2 ]; then
	writeOutput "ALERT checkfiletofile-func function call without paramete" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;

fi

if  fileexist $2 ; then

diff $1 $2 > result;
re=`$CAT result`;
$RM -f result;
	if test "$re" = "" ; then
		return 0;
	else
		return 1;
	fi
fi
return 1;
} 