#! /usr/bin/env bash
###############################################################
###############################################################
##
##                    INSERT TITLE END
##    
###############################################################
###############################################################
##
## Author: Metery Rene - CS-SI (FRANCE)
##         rene.metery@c-s.fr
## Date: January 09th 2003
## Last modification : January 09th 2003
## Version: 1.0
## Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
##     http://www.edg.org/license.html or see LICENSE file
##
###############################################################
###############################################################
##
## FUNCTION: inserttitleend
##
## ARGUMENTS: none
##
## DESCRIPTION: finish inserting a menu in an HTML report
##              
## EXIT CODE: 0 - if the script finishes
##            
###############################################################
###############################################################

inserttitleend()
{
 source $EDG_TEST_FUNCTIONS/common.sh
 source $EDG_TEST_FUNCTIONS/HTML_func.sh
 source $EDG_TEST_CONF_FILE

 i=1
 while test $i -le 9 
 do
     head -n $((`wc -l $HTML_DIR/$HTML_OUT | cut -d/ -f1` -1)) $HTML_DIR/$HTML_OUT > /tmp/titi; mv /tmp/titi $HTML_DIR/$HTML_OUT
     i=$(($i + 1))
 done

 HTML_dump col_end.html
 HTML_dump row_end.html

 HTML_dump row_start.html
 HTML_dump first_col_start.html

 rm -f /tmp/titi
 return 0
 }