#!/bin/bash
# 
# 05 Aout 2002
# Author:       Fede Eric fede@cppm.in2p3.fr
#
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
##############################################################
# Location of the openssl path
#
# INPUT  $1 The path to see , if not find on /opt/glous/bin/ and /usr/bin/
# OUTPUT $TSTG_OPENSSL_LOCATION Path to openssl
#	 $TSTG_OPENSSL_VERSION The version of openssl
# 
# 
# 0 PASSED > initialize the variable $TSTG_OPENSSL_VERSION,$TSTG_OPENSSL_LOCATION 
# 1 FAIL
# 4 UNRESOLVED
#  
#	
########################################
# location of the openssl path

function findOpenssl()

{

	writeOutput "Location of the current openssl" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;


if  [ ! $1 ]; then
	if fileexist "/opt/globus/bin/openssl" ; then
		TSTG_OPENSSL_LOCATION="/opt/globus/bin/openssl";
	        TSTG_OPENSSL_VERSION=`$TSTG_OPENSSL_LOCATION version`;
		writeOutput "Use the openssl find on $TSTG_OPENSSL_LOCATION version $TSTG_OPENSSL_VERSION" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;
		return 0;
	elif fileexist "/usr/bin/openssl" ;then 
		TSTG_OPENSSL_LOCATION="/usr/bin/openssl";
		TSTG_OPENSSL_VERSION=`$TSTG_OPENSSL_LOCATION version`;
		writeOutput "Use the openssl find on $TSTG_OPENSSL_LOCATION version $TSTG_OPENSSL_VERSION" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;
		return 0;
	else
	writeOutput "ALERT openssl not find on /opt/globus/bin/ or /usr/bin/ path please use command opensslpath is openssl is installed on another place" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;

	return 4;
	fi
fi

if [ ! -f $1 ];then
		writeOutput "ALERT The path define with parameter openssl dont contain openssl command" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;
		 return 4;
else 
        TSTG_OPENSSL_LOCATION=$1;
	TSTG_OPENSSL_VERSION=`$TSTG_OPENSSL_LOCATION version`;
	writeOutput "Use the openssl find on $TSTG_OPENSSL_LOCATION version $TSTG_OPENSSL_VERSION" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;
	return 0;	
fi
	return 1;
}