#! /usr/bin/env bash
######################################################################
#
#
########################################################################
#   Authors :    Francesco Giacomini - Francesco.Giacomini@cnaf.infn.it 
#                Mario Reale - Mario.Reale@cnaf.infn.it
#
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
#########################################################################
#!/bin/bash
#
# usage:
# ./rpm-checker.sh < rpm-reference-list.txt 
#--------------------------------------------------
while read f r; do
  rpm -q $f > /dev/null 2>&1
  if [ $? -eq 0 ]; then
    echo $f installed
  else
    echo $f not installed
  fi
done

