#!/bin/bash
#$Id: checkPBSenv.sh,v 1.1.1.2 2005/02/08 16:09:43 mbarroso Exp $
######################################################################
#
# Authors: Gennaro Tortone   - Gennaro.Tortone@na.infn.it
#
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
######################################################################

##################################################################
# FUNCTION: checkPBSenv
#
# ARGUMENTS: none
#
# RETURN VALUE: 0 - if all is configured properly
#               1 - if there are some errors
##################################################################

checkPBSenv()
{
   retval=`$DIFF $EDG_TEST_FUNCTIONS/pbs_environment.template /usr/spool/PBS/pbs_environment`

   if test retval = ""
   then
         return 0
   else
	 [ $DEBUG ] && $ECHO "/usr/spool/PBS/pbs_environment :"$retval
         return 2
   fi
#   return $retval
}
