#! /usr/bin/env bash
###############################################################
###############################################################
##
##                    CHECK PROXY
##    
###############################################################
###############################################################
##
## Author: Metery Rene - CS-SI (FRANCE)
##         rene.metery@c-s.fr
## Date: September 19th 2002
## Last modification : September 23th 2002
## Version: 1.0
## Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
##     http://www.edg.org/license.html or see LICENSE file
##
###############################################################
###############################################################
##
## FUNCTION: checkproxy
## ARGUMENTS: none
##
## DESCRIPTION: check if the user proxy exist
##              
## EXIT CODE: 0 - if user proxy exists
##            1 - if user proxy does not exist  
##            
###############################################################
###############################################################

checkproxy()
{
 grid-proxy-info -exists > /dev/null 2>&1
 RET=$?
 if test $RET  = 1 || test $RET = 127
 then
      $ECHO "ERROR: grid proxy does not exist"
      return 1
 else
      return 0
 fi 
}
