#! /usr/bin/env bash
###############################################################
###############################################################
##
##                    CHECK ROOT
##    
###############################################################
###############################################################
##
## Author: Metery Rene - CS-SI (FRANCE)
##         rene.metery@c-s.fr
## Date: November 27th 2002
## Last modification : November 27th 2002
## Version: 1.0
## Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
##     http://www.edg.org/license.html or see LICENSE file
##
###############################################################
###############################################################
##
## FUNCTION: checkroot
## ARGUMENTS: none
##
## DESCRIPTION: unset the environment used by the testsuite
##              
## EXIT CODE: 0 - if user is root
##            1 - if user is not root
##            
###############################################################
###############################################################



checkroot()  
{                  
 if ! test `whoami` = "root"
  then
         $ECHO "You need to be root to run these tests."
	 exit 1
  else
         return 0
  fi
}





