#
# Authors : Mario Reale  - Mario.Reale@cnaf.infn.it
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
######################################################################
#
#############################################################
# 
# FUNCTION: use trhe script as a function
# 
# ARGUMENTS: checkuserenv-script  <username> <env-variable>
#
# DESCRIPTION: check if the <env-variable> of the user <username>
#
# RETURN VALUE: 4 - no mandatory parameter is passed
#################################################################


if [ -z $1 ]
then
      $ECHO "checkUserEnv-script(): no mandatory parameter (1) is passed"
      return 4
fi

if [ -z $2 ]
then
      $ECHO "checkUserEnv-script(): no mandatory parameter (2) is passed"
      return 4
fi


su - $1 -c env >  CheckUserEnv-out.txt
grep  $2 CheckUserEnv-out.txt
rm CheckUserEnv-out.txt


