#!/usr/bin/perl -w

## Author grodid 28/02/03
## Last modif: gg 01/07/03

#use strict;

## Usage: ./build-cover.pl "03*/in*.html" > liste3.html

my $list = shift;

##system("ls -l $list; pwd");

my @files = ();
my @titles = ();
my @filtit;
my @fts = ();
open TIT,"grep -Ha \"<title>\" $list |";
while (<TIT>) {
#p    print;
    $_ =~ /(.*):<title>(.*)/;
    push @files, $1;
    push @titles, "$2";
}
close TIT;

my $date;
my $mainName = 'XXX';
my $user = $ENV{USER};
$mainName = $ENV{MAINNAME} if ( $ENV{MAINNAME} );
chomp ( $date = `date '+%y%m%d-%T'` );
$head =~ s/DATE/$date/;
$head =~ s/USER/$user/;
$head =~ s/MAINNAME/$mainName/;

print $head;
my $i = 0;
for my $fil ( @files ) {
    my $tit = $titles[$i++];
    print "$beg $fil $mid $tit $end\n";
}
print $tail;

BEGIN {
    $head = '
<html>
<head>
<title>Several Install&Config and Functional Tests
</title>
</head>
<body text="#000000" bgcolor="#ffffff">
<h1>
<b>
USER DATE Install&Config and Functional Tests<br>
Achieved with: MAINNAME<br>
</b>
</h1>
';
    $tail = "
</body>
</html>
";
    $beg = '<a href="';
    $mid = '">';
    $end = '</a><br>';
}

exit 0;
