#!/bin/bash
#$Id: mailfunc.sh,v 1.1.1.2 2005/02/08 16:09:44 mbarroso Exp $
######################################################################
#
# Authors: Andrea Formica   - andrea.formica@cea.fr
#
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
######################################################################

SENDEMAIL=
if [ $DEBUG ] 
then
    SENDEMAIL=$ADMINISTRATOR 
fi

mail_success() {

    $ECHO "Mail to $ADMINISTRATOR"
    if [ $SENDEMAIL ]
    then
    	mailto $SENDEMAIL -s Success <<EOT
$1
EOT
    fi
    return 0   
}

mail_failure() {

    $ECHO "Mail to $ADMINISTRATOR"
    if [ $SENDEMAIL ]
    then
    	mailto $SENDEMAIL -s Failure <<EOT
$1
EOT
    fi
    return 1
}

mail_status() {

    MSG=`echo -e $1`
    FLAG=$2
    if  [ $FLAG ]; then
    	[ $LEVEL -gt 0 ] && mail_failure "$MSG"
    else
    	[ $LEVEL -gt 0 ] && mail_success "$MSG"
    fi
    return $?
}
