#!/bin/bash
# 
# 08 October 2002
# Author:       Fede Eric fede@cppm.in2p3.fr
#
#########################################################################
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
#######################################################################
# Control of the time validity of the crl
# 
# RETURN VALUE: 0 PASSED
#	 	1 FAIL
#		2 WARNING
#		3 XFAIL
#		4 UNRESOLVED
#		5 UNTESTED
#		6 UNSUPPORTED
#               7 ENVIRONMENT / OPTIONS FAIL
#	
#
########################################
# generation of a random file
#
# INPUT  $1 The path to file
#	 $2 The size of the file	
# 
#
########################################

function randomfilecreate_func()

{ 
	writeOutput "Creation of a random file" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;

if [ ! $1 ]; then
	writeOutput "ALERT randomfilecreate-func function call without parameter" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH
	return 4;
fi

if [ ! $2 ]; then
	writeOutput "No size define on the randomfilecreate-func function use 1024" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH;
	Size="1024";
else
	Size=$2;
fi

# do the file
dd if=/dev/zero of=$1 bs=1 count=$Size;
return 0;
}