#!/bin/bash
# 
# 08 October 2002
# Author:       Fede Eric fede@cppm.in2p3.fr
#
#########################################################################
# Copyright 2001-2002 EU DataGrid project (2002), WP6 TestBed
#                    http://www.edg.org/license.html
#
#######################################################################
# Control of the time validity of the crl
# 
# RETURN VALUE: 0 PASSED
#	 	1 FAIL
#		2 WARNING
#		3 XFAIL
#		4 UNRESOLVED
#		5 UNTESTED
#		6 UNSUPPORTED
#               7 ENVIRONMENT / OPTIONS FAIL
#	
#########################################################################

function testgridproxyexist_func()
{
	grid-proxy-info -exists
	if [ $? -ne 0 ]; then
		writeOutput "ALERT grid-proxy is missing" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH
		return 1;
	fi
	writeOutput "grid-proxy is up" $VERBOSE_LEVEL $EDG_TSTG_LOGS_PATH
	return 0;	
} 
